using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FiltronASP.Models.Validators;

namespace FiltronASP.Models
{
    /// <summary>
    /// Fragment klasy odpowiadajacy tabeli <code>Templates</code>.
    /// </summary>
    [MetadataType(typeof(TemplateValidation))]
    public partial class Template
    {
    }

    /// <summary>
    /// Klasa z walidacja dla niektorych danych klasy <code>Template</code>.
    /// </summary>
    public class TemplateValidation
    {

        [HiddenInput(DisplayValue = false)]
        public int template_id { get; set; }

        [Required(ErrorMessage = "Nazwa szablonu jest wymagana.")]
        [StringLength(50, ErrorMessage = "Nazwa szablonu nie powinna być dłuższa niż 50 znaków.")]
        [AlpaNumeric(ErrorMessage = "Nazwa szablonu nie powinna zawierać znaków specjalnych.")]
        public string template_name { get; set; }

        [Required(ErrorMessage = "Ścieżka do szablonu jest wymagany.")]
        [StringLength(255, ErrorMessage = "Ścieżka do szablonu nie powinna być dłuższa niż 255 znaków.")]
        [AlpaNumericNoPolishChars(ErrorMessage = "Ścieżka do szablonu nie powinna zawierać znaków specjalnych ani polskich znaków.")]
        public string template_path { get; set; }

        [Required(ErrorMessage = "Informacja na temat wersji językowej, do której przypisany jest szablon jest wymagana.")]
        public Nullable<int> language_id { get; set; }

    }
}
